﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Service.Biz.Location.Dto.Wayz
{
    public class GetWayzPositionServiceResult
    {
        /// <summary>
		/// 是否运行发送实时定位来重试解析
		/// </summary>
		public bool CanRetry { get; set; } = true;
        public bool Flag { get; set; }


        public decimal Lon { get; set; }
        public decimal Lat { get; set; }
        public int Accuracy { get; set; }
        public string Poi { get; set; } = string.Empty;
        public string AdCode { get; set; } = string.Empty;
        /// <summary>
        /// 序列化参数的哈希值
        /// </summary>
        public string HashParam { get; set; }
        /// <summary>
        /// 省名
        /// </summary>
        public string Province { get; set; }
        /// <summary>
        /// 市名
        /// </summary>
        public string City { get; set; }
        /// <summary>
		/// 城市编码
		/// </summary>
		public string CityCode { get; set; } = default;
        /// <summary>
        /// 区县名
        /// </summary>
        public string District { get; set; }
        /// <summary>
        /// 地址
        /// </summary>
        public string Address { get; set; }


        /// <summary>
        /// 完整地址
        /// </summary>
        public string FullAddress { get; set; } = string.Empty;
        /// <summary>
        /// 记录原始返回数据
        /// </summary>
        public string OriginalResponse { get; set; } = string.Empty;
    }
}
