﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Service.MqProducer.Model
{
    public class LocationDatas
    {
        public string imei { get; set; }
        public int locationType { get; set; }
        public string address { get; set; }
        public int altitude { get; set; }
        public decimal baiduLatitude { get; set; }
        public decimal baiduLongitude { get; set; }
        public decimal gaodeLatitude { get; set; }
        public decimal gaodeLongitude { get; set; }
        public decimal originalLatitude { get; set; }
        public decimal originalLongitude { get; set; }
        public string postcode { get; set; }
        public string hashParam { get; set; }
        public int radius { get; set; }
        /// <summary>
        /// 省名
        /// </summary>
        public string province { get; set; }
        /// <summary>
        /// 市名
        /// </summary>
        public string city { get; set; }
        /// <summary>
        /// 区县名
        /// </summary>
        public string district { get; set; }
    }

}
