﻿using GpsCardGatewayPosition.Model.IoT;
using GpsCardGatewayPosition.Service.MqProducer.Model;
using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Service.Resolver.Interface
{
    public interface IResolverFactory
    {
        /// <summary>
        /// 解析基础数据并封装
        /// </summary>
        /// <param name="msg"></param>
        /// <returns></returns>
        PackageMsgModel ParseAndWrap(JObject msg);


        void Resolver(MessageModel msg);
    }
}
