﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Model.Context
{
    public class DeviceStatus : ContextBase
    {
        /// <summary>
        /// GSM 信号
        /// </summary>
        public int? Singal { get; set; }

        /// <summary>
        /// 卫星个数
        /// </summary>
        public int? Satellite { get; set; }

        /// <summary>
        /// 电池电量
        /// </summary>
        public int? Battery { get; set; }

        /// <summary>
        /// 计步步数
        /// </summary>
        public int? Step { get; set; }

        /// <summary>
        /// IMSI
        /// </summary>
        public string Imsi { get; set; }

        /// <summary>
        /// online
        /// </summary>
        public int? Online { get; set; }
    }
}
