﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Model.Enum
{
    ///// <summary>
    ///// 报警类型
    ///// </summary>
    //public enum AlarmType
    //{
    //	Online = 0,
    //	Offline = 9,
    //	SOS = 1,//求救
    //	LowBattery = 2,//电量
    //	Entry = 3, //进围栏
    //	Exit = 4,  //出围栏
    //	PowerOff = 5//关机报警
    //}

    /// <summary>
    /// 报警类型
    /// </summary>
    public enum AlarmType
    {
        /// <summary>
        /// 设备上线
        /// </summary>
        Online = 0,
        /// <summary>
        /// 设备离线
        /// </summary>
        Offline = 9,
        /// <summary>
        /// 求救
        /// </summary>
        SosAlarm = 1,

        /// <summary>
        /// 设备低电量
        /// </summary>
        LowBatteryAlarm = 2,

        /// <summary>
        /// 进入围栏
        /// </summary>
        EnterFenceAlarm = 3,

        /// <summary>
        /// 离开围栏
        /// </summary>
        LeaveFenceAlarm = 4,

        /// <summary>
        /// 设备关机
        /// </summary>
        PoweroffAlarm = 5,
    }
}
