﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Service.MqProducer.Model
{
    public static class MqTopic
    {
        /// <summary>
        /// 推送topic
        /// </summary>
        public const string Wx = "topic.push.wx"; //"topics.wxpush";  //微信

        public const string Third = "topic.push.third"; //"topics.thirdpush";  //第三方

        public const string Healthy = "topic.healthy.student"; // 健康同学
        /// <summary>
        /// 快速通道
        /// </summary>
        public const string Fast = "topic.push.fast"; //"topic.push.fast";  //

        public const string TestEnvDb = "topics.storage.test_env_db";

        public const string IotPosition = "topics.storage.iot.postion";
        ///// <summary>
        ///// 存储topic
        ///// </summary>
        //public const string Storage = "topics.storage";

        /// <summary>
        /// 电子围栏
        /// </summary>topics.fencepush
        public const string Fence = "topic.push.fence"; //"topics.fencepush";

        ///// <summary>
        ///// 测试topic
        ///// </summary>
        //public const string Test = "topics.test";

        /// <summary>
        /// 定位gps监测（非法区域检测）
        /// </summary>
        public const string LocationMonitor = "topic.location.monitor";

        public const string PushPosition = "topic.push.position";
    }
}
