﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Service.Resolver.Property.Dto
{
    [Serializable]
    public class PropertyItemModel<T> where T : class
    {
        [JsonProperty("time")]
        public long Time { get; set; }
        [JsonProperty("value")]
        public T Value { get; set; } = default!;
    }
}
